#### Beyond Linux® From Scratch (systemd Edition) - Version r12.0-1685

### Chapter 33. GNOME Libraries and Desktop

- Prev

  libpeas-1.36.0

- Next

  libwnck-43.0

- Up
- Home

# libshumate-1.1.3

## Introduction to libshumate

The libshumate package contains a GTK-4 widget to display maps.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libshumate/1.1/libshumate-1.1.3.tar.xz

- Download MD5 sum: 64c9ec76c3b1b073aa4130c081eabbba

- Download size: 296 KB

- Estimated disk space required: 5.4 MB

- Estimated build time: 0.2 SBU

### libshumate Dependencies

#### Required

GTK-4.12.5 and libsoup-3.4.4

#### Recommended

gobject-introspection-1.78.1 (required for gnome-maps)

#### Optional

Gi-DocGen-2023.3 and sysprof

## Installation of libshumate

Install libshumate by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr          \
                --buildtype=release    \
                --wrap-mode=nodownload \
                -Dgtk_doc=false        \
                ..                  &&
    ninja

If you have Gi-DocGen-2023.3 installed and wish to build the API documentation for this package, issue:

    sed -e 's/lib_version/version/' \
        -e '/fatal-warnings/d'      \
        -i ../docs/meson.build      &&
    meson configure -Dgtk_doc=true  &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`--wrap-mode=nodownload`: This switch prevents meson from downloading any optional dependency which is not installed on the system.

## Contents

Installed Programs: None
Installed Libraries: libshumate-1.0.so
Installed Directories: /usr/include/shumate-1.0 and /usr/share/doc/libshumate-1.1.3 (optional)

### Short Descriptions

`libshumate-1.0.so` | contains functions that provide a GTK-4 widget to display maps

- Prev

  libpeas-1.36.0

- Next

  libwnck-43.0

- Up
- Home